Bug 480776 - Group id for polkituser
Group id for polkituser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 09:22 EST by Harald Hoyer
Modified: 2013-03-05 22:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 12:52:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2009-01-20 09:22:22 EST
Does polkituser need gid 87? and why is it reserved in /etc/group?

We are low on gids and need it for a system group.
Comment 1 Harald Hoyer 2009-01-20 09:23:11 EST
according to bug #244950 only a gid was reserved
Comment 2 Harald Hoyer 2009-01-20 09:23:26 EST
according to bug #244950 only a uid was reserved
Comment 3 Ondrej Vasik 2009-01-20 09:30:12 EST
If the gid reservation for polkituser is not necessary, there should be additional -g <some generic group> in the useradd command in post section of spec file. To fix already existing polkituser groups with gid 87, I suggest to check for that group in post section and to usermod polkituser for using <some generic group>, check for the files owned by polkituser group, chgrp them to <some generic group> and to remove that polkituser group. There are only three uidgid pairs left in uidgid file(and only three free gid's) - so it would be good to solve the issue somehow.
Comment 4 David Zeuthen 2009-01-28 12:52:47 EST
Yes, polkit is indeed using gid 87, please find another one for dialout. Not sure why bug #244950 doesn't mention the gid, but I remember mentioning it in out-of-band conversations e.g. IRC. Thanks.
Comment 5 Harald Hoyer 2009-01-28 13:10:24 EST
are you sure, you need the group id?
Comment 6 Ondrej Vasik 2009-01-29 06:50:08 EST
(In reply to comment #4)
> Yes, polkit is indeed using gid 87, please find another one for dialout. Not
> sure why bug #244950 doesn't mention the gid, but I remember mentioning it in
> out-of-band conversations e.g. IRC. Thanks.

Although is very strange that only UID was explicitely reserved in setup uidgid file ( polkituser had - on the place of gid reservation and in bugzilla was just uid reservation mentioned) I guess polkituser group is already on many machines, so the easiest way is to reserve 87 gid for polkituser as well ... please adjust your useradd polkituser to have explicit -g 87 , thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.